Bug 1018500 - There's no section in the documentation for NFS, after Fedora 14
There's no section in the documentation for NFS, after Fedora 14
Status: CLOSED WONTFIX
Product: Fedora Documentation
Classification: Fedora
Component: storage-administration-guide (Show other bugs)
devel
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pete Travis
Fedora Docs QA
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-12 13:13 EDT by David Jones
Modified: 2016-03-06 15:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-06 15:22:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jones 2013-10-12 13:13:48 EDT
Description of problem:
There's no section in the documentation for current Fedora versions, about how to configure NFS. There's SAMBA and FTP, but no NFS. 


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Search or browse documentation.
2.
3.

Actual results:
Can find scattered information about configuring NFS, but no consolidated section. 


Expected results:
Section for configuring NFS clients and servers. 


Additional info:
There are many changes in NFS configuration since Fedora 14. There's a different init system with different service names, There's also a new firewall manager. I'm just guess at a lot of the details, and it's pretty frustrating. Why does SAMBA have a large detailed section, and NFS has nothing? This is Linux, right? Is the Fedora Project moving to SAMBA as the preferred file sharing method?
Comment 1 Stephen Wadeley 2013-10-14 11:36:37 EDT
Hello David

Currently there is no one available to write a new version of the Storage Admin Guide in Fedora. But if you could itemise the differences or out-of-date material that would be useful for when someone is available.

Any help is always welcome :)

Regards
Stephen
Comment 2 Jaromir Hradilek 2013-10-14 11:49:57 EDT
(In reply to David Jones from comment #0)
> Why does SAMBA have a large detailed section, and NFS has nothing? This
> is Linux, right? Is the Fedora Project moving to SAMBA as the preferred
> file sharing method?

No, this is not our intention. As Stephen implied, the only reason why we have more or less up-to-date documentation on Samba and none on NFS is that Samba is documented in the System Administrator's Guide while NFS used to be part of the Storage Administration Guide. The latter is, unfortunately, no longer maintained.
Comment 3 David Jones 2013-10-14 11:54:11 EDT
Unfortunately, I'm having a very difficult time figuring out how to set up NFS in Fedora 19, without the documentation. Once I do, though, I can let you know. I'm assuming that the documentation will be updated before the release of RHEL 7. the biggest gap I see in much of the documentation is that it's written for SysVInit instead systemd. Much of the old SysV commands still work, but many don't.
Comment 4 David Jones 2013-10-14 11:56:11 EDT
I've submitted another bug report regarding the problems I'm having with NFS here https://bugzilla.redhat.com/show_bug.cgi?id=1018606.
Comment 6 Jacquelynn East 2014-01-22 19:04:01 EST
I can attempt to do an overhaul of this documentation but it will not happen before the release of Red Hat Enterprise Linux 7 as until then my time is taken up elsewhere.
Comment 7 Pete Travis 2016-03-06 15:22:20 EST
I'm going to close this for now.  This guide would need a rewrite at this point to get resurrected, and any specific deficiency in the older version of the document won't necessarily be relevant to the new guide.

Note You need to log in before you can comment on or make changes to this bug.